Prepare Artifact Uploads
POST
HTTPBearerheader
AuthorizationBearer <token>node_id*Node Idapplication/json- body
expected_revision*Expected Revisionitems?array<>Successful Response
application/json- response
batch*[key: string]?anyExample Request
curl -X POST 'https://flywheel.paradigma.inc/api/v1/nodes/string/artifacts/uploads/prepare' \ -H 'Content-Type: application/json' \ -d '{ "expected_revision": 0}'Example Response
{ "batch": { "batch_token": "string", "expires_at": "string", "items": [ { "curl_command": "string", "headers": { "property1": "string", "property2": "string" }, "method": "PUT", "upload_id": "string", "upload_url": "string" } ], "max_upload_bytes": 0 }}